"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTupleNodeDescription = void 0;
const node_1 = require("./node");
const types_1 = require("../../types");
const getTupleNodeDescription = (typeNode, typeArgumentsMap = {}) => ({
    flag: types_1.DescriptionFlag.Tuple,
    description: typeNode.elements.map(i => ({
        description: (0, node_1.generateNodeDescription)(i, typeArgumentsMap),
    })),
});
exports.getTupleNodeDescription = getTupleNodeDescription;
//# sourceMappingURL=tuple-type-node.js.map