import ts = require('typescript');
import { TypeParamsMap, TypeDescription } from '../../../types';
/**
 * Generate property description
 * @param key Property key
 * @param type Type for description generation
 * @param typeArgumentsMap Node type arguments relations
 */
export declare const createDescription: (key: string | null, type: ts.Type, typeArgumentsMap?: TypeParamsMap) => TypeDescription;
