import * as ts from 'typescript';
import { PropertyType } from '../../../types';
export declare const getTypeNameByWrapperFunction: (name: string) => PropertyType.Boolean | PropertyType.Date | PropertyType.Function | PropertyType.Number | PropertyType.Object | PropertyType.String | null;
export declare const getPropertyNameBySyntaxKind: (propertySignature: ts.PropertySignature | ts.PropertyDeclaration | ts.TypeNode | undefined) => PropertyType;
export declare const getTypeArguments: (type: ts.Type | ts.TypeNode) => readonly ts.Type[];
export declare const getFirstTypeParameter: (item: ts.Type | ts.TypeNode) => ts.Type | undefined;
export declare const isArrayType: (type: ts.Type) => boolean;
