"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTypeNodeDescription = void 0;
const create_description_1 = require("./utils/create-description");
const create_params_map_1 = require("./type-params/create-params-map");
const checker_1 = require("../checker");
const getTypeNodeDescription = node => {
    const checker = (0, checker_1.getTypeChecker)();
    const type = checker.getTypeFromTypeNode(node);
    const argsMap = (0, create_params_map_1.createTypeParamsMap)(type);
    return (0, create_description_1.createDescription)(null, type, argsMap);
};
exports.getTypeNodeDescription = getTypeNodeDescription;
//# sourceMappingURL=type-node.js.map