import * as ts from 'typescript';
import { TypeParamsMap } from '../../../types';
/**
 * Create type arguments map where key is type argument symbol name, value is concrete argument type
 * @param type Type
 */
export declare const createTypeParamsMap: (type: ts.Type) => TypeParamsMap;
